## opencpn-plugin-vfkaps 2.1.2

=== CMakeLists.txt ===
##---------------------------------------------------------------------------
## Author:      Rasbats aka. Mike Rossiter
## Copyright:
## License:     wxWidgets License
##---------------------------------------------------------------------------

# define minimum cmake version
CMAKE_MINIMUM_REQUIRED(VERSION 2.6.2)

PROJECT(vfkaps_pi)

SET(PACKAGE_NAME vfkaps_pi)
SET(VERBOSE_NAME vfkaps)
SET(TITLE_NAME vfkaps)
SET(CPACK_PACKAGE_CONTACT "Mike Rossiter")

SET(VERSION_MAJOR "2")
SET(VERSION_MINOR "1.1")

SET(NAME_SUFFIX "ov50")

set (CMAKE_CXX_STANDARD 11)

#SET(CMAKE_BUILD_TYPE Debug)
SET( wxWidgets_USE_DEBUG OFF)
SET( wxWidgets_USE_UNICODE ON)
SET( wxWidgets_USE_UNIVERSAL OFF)
SET( wxWidgets_USE_STATIC OFF)

#SET(CMAKE_BUILD_TYPE Debug)
OPTION(VFKAPS_USE_SVG "Use SVG graphics" ON)

INCLUDE("cmake/PluginConfigure.cmake")

IF(VFKAPS_USE_SVG)
  ADD_DEFINITIONS(-DVFKAPS_USE_SVG)
ENDIF(VFKAPS_USE_SVG)


SET(SRC_vfkaps
        	src/vfkaps_pi.h
        	src/vfkaps_pi.cpp
        	src/icons.h
        	src/icons.cpp
			src/vfkapsgui.h
	    	src/vfkapsgui.cpp
	    	src/vfkapsgui_impl.cpp
	    	src/vfkapsgui_impl.h
	    	src/vfkapsOverlayFactory.cpp
        	src/vfkapsOverlayFactory.h
	    	src/ocpn_plugin.h
			src/tinyxml.cpp
			src/tinyxml.h
			src/tinyxmlerror.cpp
			src/tinyxmlparser.cpp

        	src/wxJSON/jsonval.cpp
        	src/wxJSON/jsonreader.cpp
			src/wxJSON/jsonwriter.cpp
		
			src/wx/json_defs.h
			src/wx/jsonval.h
        	src/wx/jsonreader.h
			src/wx/jsonwriter.h
	)


ADD_LIBRARY(${PACKAGE_NAME} SHARED ${SRC_vfkaps})

ADD_DEFINITIONS(-DTIXML_USE_STL)

INCLUDE("cmake/PluginInstall.cmake")
INCLUDE("cmake/PluginLocalization.cmake")
INCLUDE("cmake/PluginPackage.cmake")

=== debian/changelog ===
opencpn-plugin-vfkaps (2.1.2-0mx17+3) mx; urgency=medium

  * Lowered opencpn depends to 4.8.2

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Mon, 19 Aug 2019 14:15:51 -0700

opencpn-plugin-vfkaps (2.1.2-0mx17+2) mx; urgency=medium

  * Set wxwidgets3 versions.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 17 Aug 2019 13:46:30 -0700

opencpn-plugin-vfkaps (2.1.2-0mx17+1) mx; urgency=medium

  * Rebuild for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Mon, 12 Aug 2019 18:29:13 -0700

opencpn-plugin-vfkaps (2.1.2-0~xenial1) xenial; urgency=low

  * Version 2.1.2

 -- Dave Register <bdbcat@yahoo.com>  Mon, 27 May 2019 22:53:57 -0400

opencpn-plugin-vfkaps (2.1.2-0~trusty1) trusty; urgency=low

  * Version 2.1.2

 -- Dave Register <bdbcat@yahoo.com>  Mon, 27 May 2019 22:53:57 -0400

opencpn-plugin-vfkaps (2.1.1-0~disco1) disco; urgency=low

  * Version 2.1.1

 -- Dave Register <bdbcat@yahoo.com>  Mon, 27 May 2019 22:50:03 -0400

opencpn-plugin-vfkaps (2.1.1-0~cosmic1) cosmic; urgency=low

  * Version 2.1.1

 -- Dave Register <bdbcat@yahoo.com>  Mon, 27 May 2019 22:50:03 -0400

opencpn-plugin-vfkaps (2.1.1-0~bionic1) bionic; urgency=low

  * Version 2.1.1

 -- Dave Register <bdbcat@yahoo.com>  Mon, 27 May 2019 22:50:03 -0400

opencpn-plugin-vfkaps (2.1.1-0~xenial1) xenial; urgency=low

  * Version 2.1.1

 -- Dave Register <bdbcat@yahoo.com>  Mon, 27 May 2019 22:50:03 -0400

opencpn-plugin-vfkaps (2.1.1-0~trusty1) trusty; urgency=low

  * Version 2.1.1

 -- Dave Register <bdbcat@yahoo.com>  Mon, 27 May 2019 22:50:03 -0400

opencpn-plugin-vfkaps (2.1.0001-0~disco1) disco; urgency=low

  * Version 2.1.0001

 -- Dave Register <bdbcat@yahoo.com>  Mon, 27 May 2019 22:21:22 -0400

opencpn-plugin-vfkaps (2.1.0001-0~cosmic1) cosmic; urgency=low

  * Version 2.1.0001

 -- Dave Register <bdbcat@yahoo.com>  Mon, 27 May 2019 22:21:22 -0400

opencpn-plugin-vfkaps (2.1.0001-0~bionic1) bionic; urgency=low

  * Version 2.1.0001

 -- Dave Register <bdbcat@yahoo.com>  Mon, 27 May 2019 22:21:22 -0400

opencpn-plugin-vfkaps (2.1.0001-0~xenial1) xenial; urgency=low

  * Version 2.1.0001

 -- Dave Register <bdbcat@yahoo.com>  Mon, 27 May 2019 22:21:22 -0400

opencpn-plugin-vfkaps (2.1.0001-0~trusty1) trusty; urgency=low

  * Version 2.1.0001

 -- Dave Register <bdbcat@yahoo.com>  Mon, 27 May 2019 22:21:22 -0400

=== debian/control ===
Source: opencpn-plugin-vfkaps
Section: misc
Priority: extra
Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
XSBC-Original-Maintainer: David Register <bdbcat@yahoo.com>
Build-Depends: debhelper (>= 10), cmake, cdbs, libgtk2.0-dev, gettext, gpsd, gpsd-clients, libgps-dev, 
	wx-common (>= 3.0.2), libwxgtk3.0-dev (>= 3.0.2), libglu1-mesa-dev, libgtk2.0-dev, 
	wx3.0-headers (>= 3.0.2), libbz2-dev, libtinyxml-dev, libsdl1.2debian, libportaudio2, portaudio19-dev
Standards-Version: 3.9.3
Homepage: http://www.opencpn.org
#Vcs-Git: git://git.debian.org/collab-maint/opencpn.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/opencpn.git;a=summary

Package: opencpn-plugin-vfkaps
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, wx3.0-i18n (>= 3.0.2), opencpn (>= 4.8.2)
Description: Plugin for OpenCPN
 OpenCPN is a free software (GPLv2) project to create a concise chartplotter and navigation software for use as an underway or planning tool.  OpenCPN is developed by a team of active sailors using real world conditions for program testing and refinement.
